ModernLoop Internal API
Apipylon

Create an internal note on a Pylon issue (POST /issues/{id}/note)

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/pylon/issues/string/note" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "body_html": "string"  }'
{  "data": {    "id": "string",    "issue_id": "string"  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Issue UUID or issue number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body_html*string
Length1 <= length
thread_id?string
message_id?string
thread_name?string
user_id?string
attachment_urls?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json